> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Exercise Form File Upload

> Generates a fileKey and returns presigned S3 upload and download URLs for an exercise form.

Not available to API keys yet. It will need `grants:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/create-exercise-form-file-upload
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/create-exercise-form-file-upload:
    post:
      operationId: createExerciseFormFileUpload
      summary: Create Exercise Form File Upload
      description: >-
        Generates a fileKey and returns presigned S3 upload and download URLs
        for an exercise form.


        Not available to API keys yet. It will need `grants:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateExerciseFormFileUploadRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateExerciseFormFileUploadResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateExerciseFormFileUploadRequest:
      type: object
      properties:
        fileName:
          type: string
          minLength: 1
          maxLength: 255
        kind:
          const: EXERCISE_FORM
      required:
        - fileName
        - kind
    CreateExerciseFormFileUploadResponse:
      type: object
      properties:
        uploadUrl:
          type: string
        downloadUrl:
          type: string
        fileKey:
          type: string
      required:
        - uploadUrl
        - downloadUrl
        - fileKey
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
